function Draw()
    DrawStars()
    DrawFleets()
    DrawShips()
    DrawGui()
end

function DrawStars()
    for i = 1, 200 do
        if star[i].owner == 13 then
            love.graphics.setColor(color[star[i].size - 2])
            love.graphics.circle("line", star[i].x, star[i].y, star[i].size + 3)
        else
            love.graphics.setColor(color[star[i].owner])
            love.graphics.circle("fill", star[i].x, star[i].y, star[i].size + 3)
        end
    end
end

function DrawFleets()
    if fleetTop > 1 then
        for i = 1, fleetTop - 1 do
            love.graphics.setColor(color[fleet[i].owner])
            love.graphics.circle("line", fleet[i].x1, fleet[i].y1, 4)
        end
    end
end

function DrawShips()
    love.graphics.setColor(0.8, 0.8, 0.8)
    for i = 1, 200 do
        x = star[i].x - 4
        y = star[i].y + star[i].size + 4
        love.graphics.setFont(font16)
        love.graphics.printf(star[i].ships, x - 46, y, 100, "center")
    end
end

function DrawGui()
    DrawLine()
    DrawInfo()
    DrawSend()
end

function DrawLine()
    if drawLine then
        love.graphics.setColor(BrightGreen)
        love.graphics.line(lox, loy, ldx, ldy)
    end
end

function DrawInfo() 
    if not mouseOver then return end
    local i = mxyIsStar()
    if i then
        local gx = star[i].x
        local gy = star[i].y 
        if gx < 960 then gx = gx + 24 else gx = gx - 504 end
        if gy > 540 then gy = gy - 214 end 
        love.graphics.setColor(MediumSteelBlue)
        love.graphics.rectangle("fill", gx, gy, 480, 250, 12, 12)
        love.graphics.setColor(Black)
        love.graphics.setFont(font64)
        love.graphics.printf(name[i], gx, gy + 10, 480, "center")
        love.graphics.line(gx + 10, gy + 92, gx + 470, gy + 92)
        love.graphics.setFont(font32)
        love.graphics.printf("Production", gx + 10, gy + 102, 470, "left")
        love.graphics.printf(star[i].size, gx, gy + 102, 470, "right")
        love.graphics.printf("Ships", gx + 10, gy + 148, 470, "left")
        love.graphics.printf(star[i].ships, gx, gy + 148,470, "right")
        love.graphics.printf("In Range", gx + 10, gy + 194, 470, "left")
        local s = "no"
        if star[i].owner == 1 then
            s = "yes" 
        else
            if TargetInRange(player[1], i) then s = "yes" end
        end
        if star[i].owner == 1 then s = "NA" end 
        love.graphics.printf(s, gx, gy + 194, 470, "right")    
    end
end

function DrawSend()
    if not sendFleet then return end
    if ldx < width / 2 then gx = ldx + 24 else gx = ldx - 504 end
    if ldy > 540 then gy = ldy - 540 else gy = ldy end 
    love.graphics.setColor(MediumSteelBlue)
    love.graphics.rectangle("fill", gx, gy, 480, 540, 12, 12)
    love.graphics.setColor(DarkSteelBlue)
    love.graphics.rectangle("fill", gx + 416, gy + 4, 60, 60, 12, 12)
    love.graphics.setColor(SteelBlue)
    love.graphics.setLineWidth(4)
    love.graphics.line(gx + 428, gy + 16, gx + 464, gy + 52)
    love.graphics.line(gx + 464, gy + 16, gx + 428, gy + 52)
    love.graphics.setFont(font64)
    love.graphics.setColor(Black)
    love.graphics.printf(name[lo], gx, gy + 10, 480, "center")
    love.graphics.printf(name[ld], gx, gy + 128, 480, "center")
    love.graphics.setFont(font32)
    love.graphics.printf("to", gx, gy + 92, 480, "center")
    love.graphics.setColor(LightSteelBlue)
    love.graphics.printf(star[lo].ships, gx, gy + 92, 240, "center")
    love.graphics.printf(star[ld].ships, gx + 240, gy + 92, 240, "center")
    love.graphics.setColor(Black)
    love.graphics.line(gx + 10, gy + 208, gx + 470, gy + 208)
    love.graphics.line(gx + 10, gy + 300, gx + 470, gy + 300)
     love.graphics.setFont(font64)
    local j = 1
    for i = 12, 426, 46 do
        love.graphics.print(numeral[j], gx + i, gy + 218)
        j = j + 1
    end
    love.graphics.setColor(LightSteelBlue)
    love.graphics.rectangle("fill", gx + 10, gy + 310, 460, 84)
    love.graphics.setColor(Black)
    love.graphics.printf(ships, gx, gy + 320, 480, "center")
    love.graphics.setColor(DarkSteelBlue)
    love.graphics.rectangle("fill", gx + 376, gy + 500, 100, 36, 12, 12)
    love.graphics.setColor(SteelBlue)
    love.graphics.setFont(font32)
    love.graphics.printf("Send", gx + 376, gy + 500, 100, "center")
    love.graphics.setLineWidth(2)
end
